Package csb :: Package bio :: Package sequence :: Class AlignmentRowsTable

[frames] | no frames]

# Class AlignmentRowsTable

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseDictionaryContainer --+
                                   |
                                  AlignmentRowsTable

Instance Methods

__getitem__(self, item) | source code

__init__(self, container) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__iter__(self) | source code

Inherited from `core.BaseDictionaryContainer`: `__bool__`, `__contains__`, `__len__`, `__nonzero__`, `__repr__`, `keys` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `core.BaseDictionaryContainer`: `length` Inherited from `object`: `__class__`

Method Details

### __getitem__(self, item)
(Indexing operator)

source code

Overrides: core.AbstractIndexer.__getitem__

### __init__(self, container)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` - an initialization dictionary
  - `restrict` - a list of keys allowed for this dictionary
Overrides: object.__init__
  (inherited documentation)

### __iter__(self)

source code

Overrides: core.BaseDictionaryContainer.__iter__